package com.hellbreecher.arcanum.common.core;

import com.hellbreecher.arcanum.client.renderer.ToolRendererRegister;
import com.hellbreecher.arcanum.common.lib.EnumMaterial;
import com.hellbreecher.arcanum.common.tools.itemArcWrench;
import com.hellbreecher.arcanum.common.tools.itemBloodDiamondAxe;
import com.hellbreecher.arcanum.common.tools.itemBloodDiamondHoe;
import com.hellbreecher.arcanum.common.tools.itemBloodDiamondPickaxe;
import com.hellbreecher.arcanum.common.tools.itemBloodDiamondShears;
import com.hellbreecher.arcanum.common.tools.itemBloodDiamondShovel;
import com.hellbreecher.arcanum.common.tools.itemGreenSapphireAxe;
import com.hellbreecher.arcanum.common.tools.itemGreenSapphireHoe;
import com.hellbreecher.arcanum.common.tools.itemGreenSapphirePickaxe;
import com.hellbreecher.arcanum.common.tools.itemGreenSapphireShears;
import com.hellbreecher.arcanum.common.tools.itemGreenSapphireShovel;
import com.hellbreecher.arcanum.common.tools.itemInfernalAxe;
import com.hellbreecher.arcanum.common.tools.itemInfernalDiamondAxe;
import com.hellbreecher.arcanum.common.tools.itemInfernalDiamondHoe;
import com.hellbreecher.arcanum.common.tools.itemInfernalDiamondPickaxe;
import com.hellbreecher.arcanum.common.tools.itemInfernalDiamondShears;
import com.hellbreecher.arcanum.common.tools.itemInfernalDiamondShovel;
import com.hellbreecher.arcanum.common.tools.itemInfernalHoe;
import com.hellbreecher.arcanum.common.tools.itemInfernalPickaxe;
import com.hellbreecher.arcanum.common.tools.itemInfernalShears;
import com.hellbreecher.arcanum.common.tools.itemInfernalShovel;
import com.hellbreecher.arcanum.common.tools.itemVoidDiamondAxe;
import com.hellbreecher.arcanum.common.tools.itemVoidDiamondHoe;
import com.hellbreecher.arcanum.common.tools.itemVoidDiamondPickaxe;
import com.hellbreecher.arcanum.common.tools.itemVoidDiamondShears;
import com.hellbreecher.arcanum.common.tools.itemVoidDiamondShovel;
import net.minecraft.item.Item;
import net.minecraftforge.client.event.ModelRegistryEvent;
import net.minecraftforge.event.RegistryEvent;
import net.minecraftforge.fml.common.Mod;
import net.minecraftforge.fml.common.eventhandler.SubscribeEvent;
import net.minecraftforge.fml.common.registry.GameRegistry;
import net.minecraftforge.registries.IForgeRegistry;

/* loaded from: com_hellbreecher_arcanum_common_core.jar:com/hellbreecher/arcanum/common/core/ArcanumTools.class */
public class ArcanumTools {
    public static Item.ToolMaterial GreenSapphire = EnumMaterial.GreenSapphireToolMaterial;
    public static Item.ToolMaterial BloodDiamond = EnumMaterial.BloodDiamondToolMaterial;
    public static Item.ToolMaterial VoidDiamond = EnumMaterial.VoidDiamondToolMaterial;
    public static Item.ToolMaterial InfernalDiamond = EnumMaterial.InfernalDiamondMaterial;
    public static Item.ToolMaterial Infernal = EnumMaterial.InfernalMaterial;

    @GameRegistry.ObjectHolder("arcanum:greensapphirepickaxe")
    public static Item itemGreenSapphirePickaxe = new itemGreenSapphirePickaxe(GreenSapphire);

    @GameRegistry.ObjectHolder("arcanum:blooddiamondpickaxe")
    public static Item itemBloodDiamondPickaxe = new itemBloodDiamondPickaxe(BloodDiamond);

    @GameRegistry.ObjectHolder("arcanum:voiddiamondpickaxe")
    public static Item itemVoidDiamondPickaxe = new itemVoidDiamondPickaxe(VoidDiamond);

    @GameRegistry.ObjectHolder("arcanum:infernaldiamondpickaxe")
    public static Item itemInfernalDiamondPickaxe = new itemInfernalDiamondPickaxe(InfernalDiamond);

    @GameRegistry.ObjectHolder("arcanum:infernalpickaxe")
    public static Item itemInfernalPickaxe = new itemInfernalPickaxe(Infernal, 1);

    @GameRegistry.ObjectHolder("arcanum:greensapphireaxe")
    public static Item itemGreenSapphireAxe = new itemGreenSapphireAxe(GreenSapphire);

    @GameRegistry.ObjectHolder("arcanum:blooddiamondaxe")
    public static Item itemBloodDiamondAxe = new itemBloodDiamondAxe(BloodDiamond);

    @GameRegistry.ObjectHolder("arcanum:voiddiamondaxe")
    public static Item itemVoidDiamondAxe = new itemVoidDiamondAxe(VoidDiamond);

    @GameRegistry.ObjectHolder("arcanum:infernaldiamondaxe")
    public static Item itemInfernalDiamondAxe = new itemInfernalDiamondAxe(InfernalDiamond);

    @GameRegistry.ObjectHolder("arcanum:infernalaxe")
    public static Item itemInfernalAxe = new itemInfernalAxe(Infernal);

    @GameRegistry.ObjectHolder("arcanum:greensapphireshovel")
    public static Item itemGreenSapphireShovel = new itemGreenSapphireShovel(GreenSapphire);

    @GameRegistry.ObjectHolder("arcanum:blooddiamondshovel")
    public static Item itemBloodDiamondShovel = new itemBloodDiamondShovel(BloodDiamond);

    @GameRegistry.ObjectHolder("arcanum:voiddiamondshovel")
    public static Item itemVoidDiamondShovel = new itemVoidDiamondShovel(VoidDiamond);

    @GameRegistry.ObjectHolder("arcanum:infernaldiamondshovel")
    public static Item itemInfernalDiamondShovel = new itemInfernalDiamondShovel(InfernalDiamond);

    @GameRegistry.ObjectHolder("arcanum:infernalshovel")
    public static Item itemInfernalShovel = new itemInfernalShovel(Infernal);

    @GameRegistry.ObjectHolder("arcanum:greensapphireshears")
    public static Item itemGreenSapphireShears = new itemGreenSapphireShears(GreenSapphire);

    @GameRegistry.ObjectHolder("arcanum:blooddiamondshears")
    public static Item itemBloodDiamondShears = new itemBloodDiamondShears(BloodDiamond);

    @GameRegistry.ObjectHolder("arcanum:voiddiamondshears")
    public static Item itemVoidDiamondShears = new itemVoidDiamondShears(VoidDiamond);

    @GameRegistry.ObjectHolder("arcanum:infernaldiamondshears")
    public static Item itemInfernalDiamondShears = new itemInfernalDiamondShears(InfernalDiamond);

    @GameRegistry.ObjectHolder("arcanum:infernalshears")
    public static Item itemInfernalShears = new itemInfernalShears(Infernal);

    @GameRegistry.ObjectHolder("arcanum:greensapphirehoe")
    public static Item itemGreenSapphireHoe = new itemGreenSapphireHoe(GreenSapphire);

    @GameRegistry.ObjectHolder("arcanum:blooddiamondhoe")
    public static Item itemBloodDiamondHoe = new itemBloodDiamondHoe(BloodDiamond);

    @GameRegistry.ObjectHolder("arcanum:voiddiamondhoe")
    public static Item itemVoidDiamondHoe = new itemVoidDiamondHoe(VoidDiamond);

    @GameRegistry.ObjectHolder("arcanum:infernaldiamondhoe")
    public static Item itemInfernalDiamondHoe = new itemInfernalDiamondHoe(InfernalDiamond);

    @GameRegistry.ObjectHolder("arcanum:infernalhoe")
    public static Item itemInfernalHoe = new itemInfernalHoe(Infernal);

    @GameRegistry.ObjectHolder("arcanum:arcwrench")
    public static Item itemArcWrench = new itemArcWrench();

    @Mod.EventBusSubscriber(modid = "arcanum")
    /* loaded from: com_hellbreecher_arcanum_common_core.jar:com/hellbreecher/arcanum/common/core/ArcanumTools$Registration.class */
    public static class Registration {
        @SubscribeEvent
        public static void registerItems(RegistryEvent.Register<Item> event) {
            IForgeRegistry<Item> toolRegistry = event.getRegistry();
            toolRegistry.register(ArcanumTools.itemGreenSapphirePickaxe);
            toolRegistry.register(ArcanumTools.itemBloodDiamondPickaxe);
            toolRegistry.register(ArcanumTools.itemVoidDiamondPickaxe);
            toolRegistry.register(ArcanumTools.itemInfernalDiamondPickaxe);
            toolRegistry.register(ArcanumTools.itemInfernalPickaxe);
            toolRegistry.register(ArcanumTools.itemGreenSapphireAxe);
            toolRegistry.register(ArcanumTools.itemBloodDiamondAxe);
            toolRegistry.register(ArcanumTools.itemVoidDiamondAxe);
            toolRegistry.register(ArcanumTools.itemInfernalDiamondAxe);
            toolRegistry.register(ArcanumTools.itemInfernalAxe);
            toolRegistry.register(ArcanumTools.itemGreenSapphireShovel);
            toolRegistry.register(ArcanumTools.itemBloodDiamondShovel);
            toolRegistry.register(ArcanumTools.itemVoidDiamondShovel);
            toolRegistry.register(ArcanumTools.itemInfernalDiamondShovel);
            toolRegistry.register(ArcanumTools.itemInfernalShovel);
            toolRegistry.register(ArcanumTools.itemGreenSapphireShears);
            toolRegistry.register(ArcanumTools.itemBloodDiamondShears);
            toolRegistry.register(ArcanumTools.itemVoidDiamondShears);
            toolRegistry.register(ArcanumTools.itemInfernalDiamondShears);
            toolRegistry.register(ArcanumTools.itemInfernalShears);
            toolRegistry.register(ArcanumTools.itemGreenSapphireHoe);
            toolRegistry.register(ArcanumTools.itemBloodDiamondHoe);
            toolRegistry.register(ArcanumTools.itemVoidDiamondHoe);
            toolRegistry.register(ArcanumTools.itemInfernalDiamondHoe);
            toolRegistry.register(ArcanumTools.itemInfernalHoe);
            toolRegistry.register(ArcanumTools.itemArcWrench);
        }

        @SubscribeEvent
        public static void registerModels(ModelRegistryEvent event) {
            ToolRendererRegister.registerToolRenderer();
        }
    }
}
